#!/nfs/public/bin/sybperl

# Program:  avgticket.pl      Description:  Calc. avg. number of tickets opened
#                                           per day by summing up tickets by 
#					    week and dividing by 5.
#
# This is part of the Helpdesk Management System written by Mark Mellman.
#
# Date last revision: 07/07/96   Version: 2.00

require 'helpdesk.inc';

&helpdesk_login;
print "Content-type: text/html\n\n";
print "<body  bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#CC0000\" alink=\"#FF3300\" vlink=\"#330099\">\n";
print "<center><h1>Tickets Opened Per Week</h1>\n";
print "<hr>\n";
print "<table border>\n";
print "<tr><td>Week(s) Ago</td><td>Tickets Opened</td><td>Avg Tickets Per Day</td></tr>\n";

############################################################################
#  Execute the query to get any tickets that where opened $cnt weeks ago.
#  Stick it in a for loop incrementing $cnt each time for 10 weeks.
############################################################################

for($cnt=1; $cnt<11; ++$cnt) {
  $str = "select count(ticketId) from OTicket ";
  $str = $str . "where datepart(week, submitDate) = datepart(week, getdate()) - $cnt";
  &dbcmd ( $dbproc, $str ) ;
  if ( &dbsqlexec ($dbproc) != &SUCCEED )
  {
      print "Error executing command\n" ;
  }
  
  &dbresults($dbproc) ;
  while ( @data = &dbnextrow($dbproc)) 
  {
       $tick =      $data[0] ;
  
       printf "<tr><td>%d</td><td>%d</td><td>%.2f</td></tr>\n",$cnt, $tick, $tick/5;
       $tot=$tot+$tick;
  }
}
printf "<tr><td>%s</td><td>%.2f</td><td>%.2f</td></tr>\n","10 Week Avg", $tot/10, ($tot/10)/5;
print "</table></center></html>\n";
